/**
 * @file
 *
 * @author jeffrey.daily@gmail.com
 *
 * Copyright (c) 2015 Battelle Memorial Institute.
 *
 * This file was converted to C code from the raw file found at
 * ftp://ftp.cbi.pku.edu.cn/pub/software/blast/matrices/BLOSUM60, the
 * Center for Bioinformatics, Peking University, China.
 */
#ifndef _PARASAIL_BLOSUM60_H_
#define _PARASAIL_BLOSUM60_H_

#include "parasail.h"
#include "blosum_map.h"

#ifdef __cplusplus
extern "C" {
#endif

/* #  Matrix made by matblas from blosum60.iij */
/* #  * column uses minimum score */
/* #  BLOSUM Clustered Scoring Matrix in 1/2 Bit Units */
/* #  Blocks Database = /data/blocks_5.0/blocks.dat */
/* #  Cluster Percentage: >= 60 */
/* #  Entropy =   0.6603, Expected =  -0.4917 */

static const int parasail_blosum60_[] = {
/*        A   R   N   D   C   Q   E   G   H   I   L   K   M   F   P   S   T   W   Y   V   B   Z   X   * */
/* A */   4, -1, -1, -2,  0, -1, -1,  0, -2, -1, -1, -1, -1, -2, -1,  1,  0, -3, -2,  0, -2, -1,  0, -4,
/* R */  -1,  5,  0, -1, -3,  1,  0, -2,  0, -3, -2,  2, -1, -3, -2, -1, -1, -3, -2, -2, -1,  0, -1, -4,
/* N */  -1,  0,  6,  1, -2,  0,  0,  0,  1, -3, -3,  0, -2, -3, -2,  1,  0, -4, -2, -3,  3,  0, -1, -4,
/* D */  -2, -1,  1,  6, -3,  0,  2, -1, -1, -3, -3, -1, -3, -3, -1,  0, -1, -4, -3, -3,  4,  1, -1, -4,
/* C */   0, -3, -2, -3,  9, -3, -3, -2, -3, -1, -1, -3, -1, -2, -3, -1, -1, -2, -2, -1, -3, -3, -2, -4,
/* Q */  -1,  1,  0,  0, -3,  5,  2, -2,  1, -3, -2,  1,  0, -3, -1,  0, -1, -2, -1, -2,  0,  3, -1, -4,
/* E */  -1,  0,  0,  2, -3,  2,  5, -2,  0, -3, -3,  1, -2, -3, -1,  0, -1, -3, -2, -2,  1,  4, -1, -4,
/* G */   0, -2,  0, -1, -2, -2, -2,  6, -2, -3, -4, -1, -2, -3, -2,  0, -2, -2, -3, -3, -1, -2, -1, -4,
/* H */  -2,  0,  1, -1, -3,  1,  0, -2,  7, -3, -3, -1, -1, -1, -2, -1, -2, -2,  2, -3,  0,  0, -1, -4,
/* I */  -1, -3, -3, -3, -1, -3, -3, -3, -3,  4,  2, -3,  1,  0, -3, -2, -1, -2, -1,  3, -3, -3, -1, -4,
/* L */  -1, -2, -3, -3, -1, -2, -3, -4, -3,  2,  4, -2,  2,  0, -3, -2, -1, -2, -1,  1, -3, -2, -1, -4,
/* K */  -1,  2,  0, -1, -3,  1,  1, -1, -1, -3, -2,  4, -1, -3, -1,  0, -1, -3, -2, -2,  0,  1, -1, -4,
/* M */  -1, -1, -2, -3, -1,  0, -2, -2, -1,  1,  2, -1,  5,  0, -2, -1, -1, -1, -1,  1, -3, -1, -1, -4,
/* F */  -2, -3, -3, -3, -2, -3, -3, -3, -1,  0,  0, -3,  0,  6, -4, -2, -2,  1,  3, -1, -3, -3, -1, -4,
/* P */  -1, -2, -2, -1, -3, -1, -1, -2, -2, -3, -3, -1, -2, -4,  7, -1, -1, -4, -3, -2, -2, -1, -2, -4,
/* S */   1, -1,  1,  0, -1,  0,  0,  0, -1, -2, -2,  0, -1, -2, -1,  4,  1, -3, -2, -2,  0,  0,  0, -4,
/* T */   0, -1,  0, -1, -1, -1, -1, -2, -2, -1, -1, -1, -1, -2, -1,  1,  4, -2, -2,  0,  0, -1,  0, -4,
/* W */  -3, -3, -4, -4, -2, -2, -3, -2, -2, -2, -2, -3, -1,  1, -4, -3, -2, 10,  2, -3, -4, -2, -2, -4,
/* Y */  -2, -2, -2, -3, -2, -1, -2, -3,  2, -1, -1, -2, -1,  3, -3, -2, -2,  2,  6, -1, -2, -2, -1, -4,
/* V */   0, -2, -3, -3, -1, -2, -2, -3, -3,  3,  1, -2,  1, -1, -2, -2,  0, -3, -1,  4, -3, -2, -1, -4,
/* B */  -2, -1,  3,  4, -3,  0,  1, -1,  0, -3, -3,  0, -3, -3, -2,  0,  0, -4, -2, -3,  4,  1, -1, -4,
/* Z */  -1,  0,  0,  1, -3,  3,  4, -2,  0, -3, -2,  1, -1, -3, -1,  0, -1, -2, -2, -2,  1,  3, -1, -4,
/* X */   0, -1, -1, -1, -2, -1, -1, -1, -1, -1, -1, -1, -1, -1, -2,  0,  0, -2, -1, -1, -1, -1, -1, -4,
/* * */  -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4, -4,  1
};

static const parasail_matrix_t parasail_blosum60 = {
    "blosum60",
    parasail_blosum60_,
    parasail_blosum_map,
    24,
    10,
    -4,
    NULL,
    PARASAIL_MATRIX_TYPE_SQUARE,
    24,
    "ARNDCQEGHILKMFPSTWYVBZX*",
    NULL
};

#ifdef __cplusplus
}
#endif

#endif /* _PARASAIL_BLOSUM60_H_ */

