/**
 * @file
 *
 * @author jeffrey.daily@gmail.com
 *
 * Copyright (c) 2015 Battelle Memorial Institute.
 *
 * This file was converted to C code from the raw file found at
 * ftp://ftp.cbi.pku.edu.cn/pub/software/blast/matrices/PAM390, the
 * Center for Bioinformatics, Peking University, China.
 */
#ifndef _PARASAIL_PAM390_H_
#define _PARASAIL_PAM390_H_

#include "parasail.h"
#include "pam_map.h"

#ifdef __cplusplus
extern "C" {
#endif

/* # */
/* # This matrix was produced by "pam" Version 1.0.6 [28-Jul-93] */
/* # */
/* # PAM 390 substitution matrix, scale = ln(2)/5 = 0.138629 */
/* # */
/* # Expected score = -0.581, Entropy = 0.147 bits */
/* # */
/* # Lowest score = -9, Highest score = 26 */
/* # */

static const int parasail_pam390_[] = {
/*        A   R   N   D   C   Q   E   G   H   I   L   K   M   F   P   S   T   W   Y   V   B   Z   X   * */
/* A */   1, -1,  0,  1, -2,  0,  1,  1, -1,  0, -2, -1, -1, -3,  1,  1,  1, -6, -4,  0,  1,  0,  0, -9,
/* R */  -1,  6,  1,  0, -4,  1,  0, -2,  2, -2, -3,  4,  0, -5,  0,  0,  0,  3, -4, -2,  0,  1,  0, -9,
/* N */   0,  1,  1,  2, -4,  1,  2,  1,  1, -2, -3,  1, -1, -4,  0,  1,  0, -4, -3, -1,  2,  1,  0, -9,
/* D */   1,  0,  2,  3, -5,  2,  3,  1,  1, -2, -4,  1, -2, -5,  0,  1,  0, -7, -5, -2,  3,  3,  0, -9,
/* C */  -2, -4, -4, -5, 17, -5, -5, -3, -4, -2, -6, -5, -5, -4, -3,  0, -2, -9,  1, -2, -4, -5, -3, -9,
/* Q */   0,  1,  1,  2, -5,  3,  2,  0,  3, -2, -2,  1, -1, -4,  0,  0,  0, -5, -4, -1,  2,  3,  0, -9,
/* E */   1,  0,  2,  3, -5,  2,  3,  1,  1, -2, -3,  1, -2, -5,  0,  0,  0, -7, -5, -1,  2,  3,  0, -9,
/* G */   1, -2,  1,  1, -3,  0,  1,  5, -1, -2, -4, -1, -2, -5,  0,  1,  1, -7, -5, -1,  1,  0,  0, -9,
/* H */  -1,  2,  1,  1, -4,  3,  1, -1,  6, -2, -2,  1, -2, -2,  0,  0, -1, -3,  0, -2,  1,  2,  0, -9,
/* I */   0, -2, -2, -2, -2, -2, -2, -2, -2,  4,  3, -2,  3,  2, -1, -1,  0, -5,  0,  4, -2, -2,  0, -9,
/* L */  -2, -3, -3, -4, -6, -2, -3, -4, -2,  3,  7, -3,  4,  3, -2, -2, -1, -2,  0,  3, -3, -2, -1, -9,
/* K */  -1,  4,  1,  1, -5,  1,  1, -1,  1, -2, -3,  4,  0, -5,  0,  0,  0, -3, -5, -2,  1,  1,  0, -9,
/* M */  -1,  0, -1, -2, -5, -1, -2, -2, -2,  3,  4,  0,  5,  1, -2, -1,  0, -4, -1,  2, -2, -1,  0, -9,
/* F */  -3, -5, -4, -5, -4, -4, -5, -5, -2,  2,  3, -5,  1, 12, -5, -3, -3,  2, 10,  0, -5, -5, -2, -9,
/* P */   1,  0,  0,  0, -3,  0,  0,  0,  0, -1, -2,  0, -2, -5,  5,  1,  1, -6, -5, -1,  0,  0,  0, -9,
/* S */   1,  0,  1,  1,  0,  0,  0,  1,  0, -1, -2,  0, -1, -3,  1,  1,  1, -3, -3, -1,  1,  0,  0, -9,
/* T */   1,  0,  0,  0, -2,  0,  0,  1, -1,  0, -1,  0,  0, -3,  1,  1,  1, -5, -3,  0,  0,  0,  0, -9,
/* W */  -6,  3, -4, -7, -9, -5, -7, -7, -3, -5, -2, -3, -4,  2, -6, -3, -5, 26,  1, -6, -6, -6, -4, -9,
/* Y */  -4, -4, -3, -5,  1, -4, -5, -5,  0,  0,  0, -5, -1, 10, -5, -3, -3,  1, 13, -2, -4, -4, -2, -9,
/* V */   0, -2, -1, -2, -2, -1, -1, -1, -2,  4,  3, -2,  2,  0, -1, -1,  0, -6, -2,  4, -2, -1,  0, -9,
/* B */   1,  0,  2,  3, -4,  2,  2,  1,  1, -2, -3,  1, -2, -5,  0,  1,  0, -6, -4, -2,  2,  2,  0, -9,
/* Z */   0,  1,  1,  3, -5,  3,  3,  0,  2, -2, -2,  1, -1, -5,  0,  0,  0, -6, -4, -1,  2,  3,  0, -9,
/* X */   0,  0,  0,  0, -3,  0,  0,  0,  0,  0, -1,  0,  0, -2,  0,  0,  0, -4, -2,  0,  0,  0, -1, -9,
/* * */  -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9, -9,  1
};

static const parasail_matrix_t parasail_pam390 = {
    "pam390",
    parasail_pam390_,
    parasail_pam_map,
    24,
    26,
    -9,
    NULL,
    PARASAIL_MATRIX_TYPE_SQUARE,
    24,
    "ARNDCQEGHILKMFPSTWYVBZX*",
    NULL
};

#ifdef __cplusplus
}
#endif

#endif /* _PARASAIL_PAM390_H_ */

